package ei.game;

import ei.engine.LWJGLGameWindow;
import ei.engine.state.GameStateManager;
import ei.game.gamestate.InGameState;
import ei.game.gamestate.LoadingState;

public class EI extends LWJGLGameWindow{
	public static void main(String[] args){
		new EI();
	}

	public EI() {
		super("EI");
	}
	
	protected void init(){
		GameStateManager.getInstance().addState(new InGameState("InGameState"));
		GameStateManager.getInstance().addState(new LoadingState("LoadingState","InGameState"));
		GameStateManager.getInstance().setActive("LoadingState");
	}
}
